Bug 167161 - tog-pegasus is mispackaged and puts the x86-64 libs in /usr/iib
tog-pegasus is mispackaged and puts the x86-64 libs in /usr/iib
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Stein
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-31 04:04 EDT by Brian Stein
Modified: 2013-03-01 00:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2005-494
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2005-08-31 04:04:22 EDT
Description of problem:

-bash-2.05b$ rpm -qlp tog-pegasus-2.4.1-2.rhel4.x86_64.rpm | grep /usr/lib
/usr/lib/Pegasus/providers
/usr/lib/Pegasus/providers/libComputerSystemProvider.so.1
/usr/lib/Pegasus/providers/libOSProvider.so.1
/usr/lib/Pegasus/providers/libProcessProvider.so.1
/usr/lib/libCIMxmlIndicationHandler.so.1
/usr/lib/libCMPIProviderManager.so.1
/usr/lib/libConfigSettingProvider.so.1
/usr/lib/libDefaultProviderManager.so.1
/usr/lib/libNamespaceProvider.so.1
/usr/lib/libProviderRegistrationProvider.so.1


this obviously needs to be /usr/lib64 on x86-64 and other multilib architectures
Comment 1 Jason Vas Dias 2005-09-01 07:05:45 EDT
This bug is now fixed with tog-pegasus-2.4.1-4.rhel4 .
I replaced the extensive hard coded references to /lib throughout the code and
.spec file with references to a variable set from
%{_lib},$(PEGASUS_ARCH_LIB_DIR) , and the package now installs its libraries
correctly into /usr/lib64 on arches
which specify '%_lib lib64'.

Comment 2 Red Hat Bugzilla 2005-10-05 09:43:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-494.html

Note You need to log in before you can comment on or make changes to this bug.